<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.layout.QMUILinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/ll_container"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center"
    android:background="@color/theme_white_color"
    android:orientation="vertical">

    <com.airbnb.lottie.LottieAnimationView
        android:id="@+id/lottieAnimationView"
        android:layout_width="@dimen/dp_180"
        android:layout_height="@dimen/dp_180"
        android:layout_gravity="center_horizontal"
        app:lottie_autoPlay="true"
        app:lottie_loop="true" />

    <!-- 打印前數據信息,圖片->連接成功(失敗)->打印中->打印成功(失敗)->斷開連接-->

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_generate_print_data"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/print_green_point"
            android:text="生成打印數據"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_10" />

        <View
            android:layout_width="@dimen/dp_50"
            android:layout_height="1px"
            android:background="@color/black" />

        <TextView
            android:id="@+id/tv_connecting"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/print_grey_point"
            android:text="連接中"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_10" />

        <View
            android:layout_width="@dimen/dp_50"
            android:layout_height="1px"
            android:background="@color/black" />

        <TextView
            android:id="@+id/tv_print_result"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableTop="@drawable/print_grey_point"
            android:text="結果"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_10" />
    </LinearLayout>

    <TextView
        android:id="@+id/tv_error_msg"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_10"
        android:textColor="@color/red"
        android:textSize="@dimen/font_small"
        android:text="連接打印機超時"
        android:visibility="invisible"/>


</com.qmuiteam.qmui.layout.QMUILinearLayout>